couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vicente Jiménez" <goo...@gmail.com>
Subject Re: Dependencies
Date Fri, 05 Dec 2008 13:12:47 GMT
Thanks both for the quick answer.

Answering Noah Slater, I've read it in the (non-oficial) Gentoo
ebuild, first from https://bugs.gentoo.org/show_bug.cgi?id=197176  and
now maintained in a couchdb overlay at
https://svn.usrportage.de/couchdb-overlay .

As Jan Lehnardt says: svn2cl was needed to build CouchDB. Because
Gentoo/Linux distribution builds (compile) everything before
installing, this could be the reason that svn2cl is needed by Gentoo.

Can you confirm that svn2cl is only needed for compiling older version
0.8.1 and 0.8.0?
This compilation dependency is present in new versions (0.9)?

I'm going to update this overlay with the new top level address and
with the new version 0.9 when it comes out.

Thanks



On Fri, Dec 5, 2008 at 1:34 PM, Noah Slater <nslater@apache.org> wrote:
> On Fri, Dec 05, 2008 at 01:15:01PM +0100, Jan Lehnardt wrote:
>>> * svn2cl is not needed, right? From the web: This is an xsl stylesheet for
>>> generating a classic GNU-style ChangeLog from a subversion repository log. I
>>> think this is not needed, but I need confirmation because it's included in
>>> Gentoo ebuild an I don't know why.
>>
>> This is optional if you want to build CouchDB yourself. If you want to create
>> releases, you need it.
>
> This is no longer needed at all. Where are you reading this?
>
> Thanks,
>
> --
> Noah Slater, http://tumbolia.org/nslater
>

Mime
View raw message